package com.rongwei.sfcommon.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.rongwe.scentity.domian.ThemeCheckDo;

import java.util.List;
import java.util.Map;


/**
 * 专项检查和每天检查表
 *
 * @author chglee
 * @email 1992lcg@163.com
 * @date 2020-07-17 09:33:23
 */
public interface ThemeCheckService extends IService<ThemeCheckDo> {

    void themeCheckSplit(Map<String,Object> map);

    void sendMailByCheckId(String themeCheckId);

    void dayCheckCreateTask();

    void weekChecksafeTask();

    /**
     * 查询未生成任务的检查模板
     *
     * @param createTask
     * @return {@link List< ThemeCheckDo>}
     * @date 2023/12/27 13:44
     * @author shangmi
     *
     */

    List<ThemeCheckDo> getListByCreateTask(int createTask);
}

